# rpmInstallArguments_s Struct Reference
[Command Line API.]

Describe database command line requests. More...

`#include <rpmcli.h>`

Collaboration diagram for rpmInstallArguments_s:

[legend]

## Data Fields

rpmtransFlags | transFlags
rpmprobFilterFlags | probFilter
rpmInstallInterfaceFlags | installInterfaceFlags
rpmEraseInterfaceFlags | eraseInterfaceFlags
rpmQueryFlags | qva_flags
int | numRelocations
int | noDeps
int | incldocs
rpmRelocation * | relocations
char * | prefix
const char * | rootdir

## Detailed Description

Describe database command line requests.

Definition at line 416 of file rpmcli.h.

## Field Documentation

rpmtransFlags rpmInstallArguments_s::transFlags

Definition at line 417 of file rpmcli.h.

Referenced by main().

rpmprobFilterFlags rpmInstallArguments_s::probFilter

Definition at line 418 of file rpmcli.h.

Referenced by main().

rpmInstallInterfaceFlags rpmInstallArguments_s::installInterfaceFlags

Definition at line 419 of file rpmcli.h.

Referenced by main().

rpmEraseInterfaceFlags rpmInstallArguments_s::eraseInterfaceFlags

Definition at line 420 of file rpmcli.h.

Referenced by main().

rpmQueryFlags rpmInstallArguments_s::qva_flags

from --nodigest/--nosignature

Definition at line 421 of file rpmcli.h.

int rpmInstallArguments_s::numRelocations

Definition at line 422 of file rpmcli.h.

Referenced by main().

int rpmInstallArguments_s::noDeps

Definition at line 423 of file rpmcli.h.

Referenced by main().

int rpmInstallArguments_s::incldocs

Definition at line 424 of file rpmcli.h.

Referenced by main().

rpmRelocation* rpmInstallArguments_s::relocations

Definition at line 425 of file rpmcli.h.

Referenced by main().

char* rpmInstallArguments_s::prefix

Definition at line 426 of file rpmcli.h.

Referenced by main().

const char* rpmInstallArguments_s::rootdir

Definition at line 427 of file rpmcli.h.

The documentation for this struct was generated from the following file:

- rpmcli.h